<bugID>259292<Summary>Firefox launch icon label "Mozilla Firefox (Safe Mode)" potentially confusing to end-users</Summary><Description>User-Agent:       Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1; .NET CLR 1.1.4322)
Build Identifier: Mozilla/5.0 (Windows; U; Windows NT 5.1; rv:1.7.3) Gecko/20040913 Firefox/0.10

Users switching to Firefox based on reports of enhanced browser security 
relative to IE may choose the "Safe Mode" launch icon on the erroneous 
assumption that their browsing experience will be "safer" (from the standpoint 
of security) as a result. Label should be changed to read "Mozilla Firefox 
(Recovery Mode)" or something similar.

Reproducible: Always
Steps to Reproduce:
1.Install Firefox
2.Start-&gt;All Programs-&gt;Mozilla Firefox
3.Icon is labeled "Mozilla Firefox (Safe Mode)" 

Actual Results:  
"Mozilla Firefox (Safe Mode)"

Expected Results:  
"Mozilla Firefox (Recovery Mode)"</Description></bugID>